Package: org.codehaus.groovy.runtime

## [Java] Class ThreadCategoryInfo

- org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CategoryMethodList` | `getCategoryMethods(String name)`
    `<T>` | `T` | `use(List<Class> categoryClasses, Closure<T> closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `remove, remove, size, get, put, values, clone, clear, isEmpty, replace, replace, replaceAll, merge, newHashMap, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keySet, containsValue, getOrDefault, computeIfPresent, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class AbstractMap` | `remove, size, get, put, equals, toString, values, hashCode, clear, isEmpty, entrySet, putAll, containsKey, keySet, containsValue, getClass, notify, notifyAll, wait, wait, wait, remove, replace, replace, replaceAll, merge, putIfAbsent, compute, forEach, computeIfAbsent, getOrDefault, computeIfPresent`

- - ### Method Detail

    - #### public CategoryMethodList getCategoryMethods(String name)

    - #### <T> public T use(List<Class> categoryClasses, Closure<T> closure)